> For the complete documentation index, see [llms.txt](https://docs.arkannis.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkannis.net/iot/tasmota/tuya-convert.md).

# Tuya-Convert

### Flash with Tuya Convert:

* [Useful guide](https://www.youtube.com/watch?v=dyUyewiKpRA)

Install:

```bash
sudo apt-get install git
git clone https://github.com/ct-Open-Source/tuya-convert
cd tuya-convert
./install_prereq.sh
./start_flash.sh
```

**Once you have configured the Wi-Fi settings and your Tasmota device connects to your Wi-Fi network, go to the web UI of the device. Click Console and type "Reset 5" (without quotes). This will wipe flash memory of any Tuya firmware remnants to help prevent future corruption during Tasmota upgrades.**

### Useful Links:

* [Tasmota Devide Templates Repository](https://templates.blakadder.com/)
* [Hama Light Bulb Template](https://templates.blakadder.com/hama_00176547.html)
* [Diffuser Template](https://templates.blakadder.com/GD-30W.html)

#### [Configure Tasmota with HA](https://www.youtube.com/watch?v=KOg5qwO3Rh4)

* Intro 0:00&#x20;
* Hassio MQTT Setup 1:12&#x20;
* Initial Tasmota Config 4:46&#x20;
* Upgrading Tasmota 6:12&#x20;
* Applying a Tasmota Template 9:00&#x20;
* Auto Discovery Integration 13:43&#x20;
* Legacy Manual Integration 16:48&#x20;
* MQTT Topic Explanations - 19:59

### Tasmota issues with updating firmware:

<https://github.com/arendst/Tasmota/issues/7560>

1. Use minimal
2. Upload gzipped version for upgrade


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arkannis.net/iot/tasmota/tuya-convert.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
